/**
 * Copyright (C) 2012-2017  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.client.state;

import java.util.HashMap;
import java.util.Map;

import com.vaadin.shared.AbstractComponentState;

public class TableState
    extends AbstractComponentState
{

    private static final long serialVersionUID = -7980416855595920235L;

    private Map<String, String> tableData = new HashMap<>();

    private Map<String, String> tableConfigData = new HashMap<>();

    private Map<String, String> tableExportData = new HashMap<>();

    private Map<String, String> translationData = new HashMap<>();

    public Map<String, String> getTableData()
    {
        return tableData;
    }

    public void setTableData( Map<String, String> tableData )
    {
        this.tableData = tableData;
    }

    public Map<String, String> getTableConfigData()
    {
        return tableConfigData;
    }

    public void setTableConfigData( Map<String, String> tableConfigData )
    {
        this.tableConfigData = tableConfigData;
    }

    public Map<String, String> getTableExportData()
    {
        return tableExportData;
    }

    public void setTableExportData( Map<String, String> tableExportData )
    {
        this.tableExportData = tableExportData;
    }

    public Map<String, String> getTranslationData()
    {
        return translationData;
    }

    public void setTranslationData( Map<String, String> translationData )
    {
        this.translationData = translationData;
    }

}
