/**
 * Copyright (C) 2012-2017  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.config.tablesection.dimensions;

import java.util.Map;

public interface ColumnWidth
{

    public int DEFAULT_COLUMN_WIDTH = 100;

    public int getColumnDefaultWidth();

    public void setColumnDefaultWidth( int width );

    public int getColumnWidth( int column );

    public void setColumnWidth( int column, int width );

    public Map<Integer, Integer> getColumnWidthsMap();

    public int[] getColumnsWidth();

    public int[] getColumnsWidth( int[] columns );

    public void setColumnsWidth( int... widths );

    public void setColumnsSameWidth( int width, int... columns );

    public void setColumnsWidth( Map<Integer, Integer> widths );

}
