/**
 * Copyright (C) 2012-2017  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.properties.order;

import java.io.Serializable;

public class Order
    implements Serializable
{

    private static final long serialVersionUID = 423964726682136438L;

    private Integer column = null;

    private String header = null;

    private OrderType type = null;

    public Order( int column, String header, OrderType type )
    {
        this.column = column;
        this.header = header;
        this.type = type;
    }

    public Integer getColumn()
    {
        return column;
    }

    public void setColumn( Integer column )
    {
        this.column = column;
    }

    public String getHeader()
    {
        return header;
    }

    public void setHeader( String header )
    {
        this.header = header;
    }

    public OrderType getType()
    {
        return type;
    }

    public void setType( OrderType type )
    {
        this.type = type;
    }

    @Override
    public String toString()
    {
        return column + " " + type.toString();
    }

    @Override
    public boolean equals( Object object )
    {
        if ( column.equals( object ) )
        {
            return true;
        }
        return false;
    }

    @Override
    public int hashCode()
    {
        return column.hashCode() * header.hashCode() * type.hashCode();
    }

}
