/**
 * Copyright (C) 2012-2017  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.windows.exporter.version;

public enum MsExcelVersion
{

    V2003( "2003", ".xls", 256, 65536 ), V2007( "2007", ".xlsx", 16384, 1048576 );

    private String version;

    private String extension;

    private int maxColumns;

    private int maxRows;

    private MsExcelVersion( String version, String extension, int maxColumns, int maxRows )
    {
        this.version = version;
        this.extension = extension;
        this.maxColumns = maxColumns;
        this.maxRows = maxRows;
    }

    public String getExtension()
    {
        return extension;
    }

    public int getMaxColumns()
    {
        return maxColumns;
    }

    public int getMaxRows()
    {
        return maxRows;
    }

    @Override
    public String toString()
    {
        return version;
    }

}
